Programmer en Python 3.x sur Geany.

4 replies [Last post]
Mark
Offline
Joined: 04/14/2012

Bonsoir tout le monde !

Je voulais vous demander s'il est possible de programmer en Python version 3.3 avec l'IDE Geany ?

J'ai testé d'installer Python 3.3 avec un tutoriel sur le Site du Zéro mais je n'ai pas réussi...

J'ai tapé dans un Terminal la commande suivante et il m'a affiché ceci :
----$ python -V
Python 2.7.2+

J'en déduit donc que je n'ai pas la bonne version de Python. Pour les cours, nous programmons en Python v3.3 et d'après ce que je sais, les syntaxes ne sont pas les mêmes (entre les versions 2.x et 3.x).

Pouvez-vous m'aider s'il vous plais ? Merci d'avance.
Mark.

silemmo
Offline
Joined: 10/25/2012

A en croire cette page : http://docs.python.org/2/license.html , python n'est plus compatible GPL après justement la 2.7.2.

Même le site de pytho conseil les débutants de commencer par la version 2, pour ce qui est de la syntaxe elle doit changer dans la programmation très avancée, je pense au début tu feras des boucles et des conditions. En attendant des réponses d'autres membres du forum bonne programmation.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Je ne vois pas en quoi la licence régissant la distribution des dernières versions de Python est incompatible avec la GPL. Pas même sur la page Web que tu indiques. Ai-je manqué quelque chose ? Quoi qu'il en soit il s'agit manifestement d'une licence permissive de logiciel libre et je doute que Mark est envie/besoin de réutiliser le code *de* Python (le code écrit *en* Python peut utiliser n'importe quelle licence, au choix de l'auteur) dans un programme distribué selon les termes de la GPL.

Même si je n'ai jamais rien écrit en Python je suppose qu'il est possible d'utiliser n'importe quel éditeur de texte pour cela (de préférence avec la coloration syntaxique qui va bien) et de l'exécuter dans un terminal (à part).

De ce que l'on m'a dit, il existe des différences significatives entre la syntaxe de Python 2.x et celle de Python 3.x. Même dans des programmes très simples. Une histoire de "print" avec ou sans parenthèses notamment.

silemmo
Offline
Joined: 10/25/2012

autant pour moi, banana a raison, je me suis fourvoyé en ne voyant pas les versions 3 dans cette liste et python n'est malheureusement pas coyleft.

pour ce qui est de ta question la version la plus récente dans les dépots est la 3.2 donc je ne pense pas qu'il y a d'énormes différences avec la 3.3.

donc tu install simplement avec synaptic ou sudo apt-get install python3.2

Mark
Offline
Joined: 04/14/2012

Bonjour !

C'est avec 3 jours de retard que je vous répond... Désolé mais je suis assez occupé ces jours-ci.
Merci pour vos réponses, je vais sans plus tarder essayer la commande Silemmo. Je vous dit si j'y arrive. ;)

Merci beaucoup,
Mark.